slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetBV

Associates a basis vectors object to the polynomial eigensolver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetBV(PEP pep,BV bv)

Collective

### Input Parameters

| pep | - eigensolver context obtained from PEPCreate()
| bv | - the basis vectors object

### Note

Use PEPGetBV() to retrieve the basis vectors context (for example, to free it at the end of the computations).

### See Also

PEPGetBV()

### Level

advanced

### Location

src/pep/interface/pepbasic.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages